Nuxa
Api referenceWorkflowsApiWorkflowsIdVariables

POST /api/workflows/{id}/variables

POST
/api/workflows/{id}/variables

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

id*string

The id parameter

Request Body

application/json

variables*array<unknown>
workflowId*string
name*string
type*string
Value in"string" | "number" | "boolean" | "object" | "array" | "plain"
value*object

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.nuxa.ai/api/workflows/string/variables" \  -H "Content-Type: application/json" \  -d '{    "variables": [],    "workflowId": "string",    "name": "string",    "type": "string",    "value": {}  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}